//
//  ViewController.swift
//  ButtonSegment
//
//  Created by tsc on 16/6/13.
//  Copyright © 2016年 tsc. All rights reserved.
//

import UIKit

class ViewController: UIViewController,SCButtonSegmentDelegate {

    var selectedButton:UIButton?
    
    lazy var segment:SCButtonSegment = {
        
        var _segment = SCButtonSegment(frame: CGRectMake(0, 100, self.view.frame.size.width, 49))
        
        _segment.delegate = self
        
        _segment.initialTag = 10;
        
        _segment.insertSegmentWithTitle("ff",titleColor:UIColor.blueColor(), normalImg:UIImage(named: "yuanjiaojuxing"),selectedImg:UIImage(named: "bsyuanjiaojuxing"),atIndex:0)
        
        _segment.insertSegmentWithTitle("ff",titleColor:UIColor.blueColor(), normalImg:UIImage(named: "juxing")!,selectedImg:UIImage(named: "bsjuxing")!,atIndex:1)
        
        _segment.insertSegmentWithTitle("ff",titleColor:UIColor.blueColor(), normalImg:UIImage(named: "yuanjiaojuxing1")!,selectedImg:UIImage(named: "bsyuanjiaojuxing1")!,atIndex:2)
        
        return _segment
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        view.addSubview(self.segment)
        buttonsDidClick(segment.viewWithTag(segment.initialTag) as! UIButton)
    }


    @IBAction func addButton(sender: UIButton) {
         segment.insertSegmentWithTitle("ff",titleColor:UIColor.blueColor(), normalImg:UIImage(named: "juxing")!,selectedImg:UIImage(named: "bsjuxing")!,atIndex:0)
    }

    func buttonsDidClick(sender: UIButton) {
        selectedButton?.selected = false
        sender.selected = true
        selectedButton = sender
    }

}

